DEMANGLE(1)

NOM
demangle - Défaire la défiguration des noms de C++ sur les symboles

SYNOPSIS

demangle

DESCRIPTION

demangle lit une liste de symboles C++ défigurés depuis l'entrée standard et convertit ces noms à un format lisible par l'humain sur la sortie standard.

Cet utilitaire est une partie du kit de développement logiciel de KDE.

EXEMPLE

Crée un fichier appelé noms contenant les noms de symboles défigurés suivants :

    _ZNK6Object10metaObjectEv
    _ZN8QPtrListI5ArrowE5clearEv
    _ZTC4Kolf0_11KMainWindow

Ces noms peuvent être dé-mutilés de la manière suivante :

    example$ demangle < noms
    Object::metaObject() const
    QPtrList<Arrow>::clear()
    construction vtable for KMainWindow-in-Kolf

VOIR AUSSI

kminspector(1) kmtrace(1) match(1)

AUTEUR

Ben Burton <bab@debian.org>
    Auteur.